[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

FC6: yum problem



	Yum worked well until I "did something"!
I have tried re-installing various things, but can't get away from the
following error:

Loading "installonlyn" plugin
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 85, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 199, in getOptionsConfig
    errorlevel=opts.errorlevel)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 123, in
doConfigSetup
    startupconf.pluginconfpath)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 252, in
doPluginSetup
    plugin_types, confpath)
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 129, in
__init__
    self._importplugins(types)
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 170, in
_importplugins
    self._loadplugin(modulefile, types)
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 186, in
_loadplugin
    module = imp.load_module(modname, fp, pathname, description)
  File "/usr/lib/yum-plugins/stablemirror.py", line 145, in ?
    from repomd import repoMDObject, mdErrors
ImportError: No module named repomd


	Can anyone advise me how to recover, and perhaps what went wrong?

DP
Adelaide South Australia



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]